org.apache.geode.cache.configuration

## Class SerializationRegistrationType

- java.lang.Object
- - org.apache.geode.cache.configuration.SerializationRegistrationType

-     @Experimental
      public class SerializationRegistrationType
      extends java.lang.Object

  A serialization-registration contains a set of serializer or instantiator tags to register customer DataSerializer extensions or DataSerializable implementations respectively.

  Java class for serialization-registration-type complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="serialization-registration-type">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="serializer" maxOccurs="unbounded" minOccurs="0">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <sequence>
                         <element name="class-name" type="{http://geode.apache.org/schema/cache}class-name-type"/>
                       </sequence>
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
               <element name="instantiator" maxOccurs="unbounded" minOccurs="0">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <sequence>
                         <element name="class-name" type="{http://geode.apache.org/schema/cache}class-name-type"/>
                       </sequence>
                       <attribute name="id" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SerializationRegistrationType.Instantiator` Java class for anonymous complex type.
    `static class` | `SerializationRegistrationType.Serializer` Java class for anonymous complex type.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.List<SerializationRegistrationType.Instantiator>` | `instantiators`
    `protected java.util.List<SerializationRegistrationType.Serializer>` | `serializers`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SerializationRegistrationType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<SerializationRegistrationType.Instantiator>` | `getInstantiators()` Gets the value of the instantiator property.
    `java.util.List<SerializationRegistrationType.Serializer>` | `getSerializers()` Gets the value of the serializer property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### serializers

          protected java.util.List<SerializationRegistrationType.Serializer> serializers

    - #### instantiators

          protected java.util.List<SerializationRegistrationType.Instantiator> instantiators

  - ### Constructor Detail

    - #### SerializationRegistrationType

          public SerializationRegistrationType()

  - ### Method Detail

    - #### getSerializers

          public java.util.List<SerializationRegistrationType.Serializer> getSerializers()

      Gets the value of the serializer property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the serializer property.

      For example, to add a new item, do as follows:

           getSerializer().add(newItem);

      Objects of the following type(s) are allowed in the list `SerializationRegistrationType.Serializer`

    - #### getInstantiators

          public java.util.List<SerializationRegistrationType.Instantiator> getInstantiators()

      Gets the value of the instantiator property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the instantiator property.

      For example, to add a new item, do as follows:

           getInstantiator().add(newItem);

      Objects of the following type(s) are allowed in the list `SerializationRegistrationType.Instantiator`